User
Update a user
PUT
/
v1
/
users
/
{id}
Update a user
curl --request PUT \
--url https://dev.flextell.ai/api/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"password_confirmation": "<string>",
"phone": "<string>",
"title": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"language": [],
"role_ids": [
123
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/users/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"password_confirmation": "<string>",
"phone": "<string>",
"title": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"avatar_url": "<string>",
"is_active": True,
"bio": "<string>",
"language": [],
"role_ids": [123]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
password: '<string>',
password_confirmation: '<string>',
phone: '<string>',
title: '<string>',
emergency_contact_name: '<string>',
emergency_contact_surname: '<string>',
emergency_contact_phone_number: '<string>',
blood_group: '<string>',
avatar_url: '<string>',
is_active: true,
bio: '<string>',
language: [],
role_ids: [123]
})
};
fetch('https://dev.flextell.ai/api/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"language": [
"<unknown>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"last_login_at": "2023-11-07T05:31:56Z",
"last_login_ip": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"roles": [
{
"id": 123,
"name": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": "<string>",
"data": {
"message": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The user identifier
Body
application/json
User's name.
Maximum string length:
255User's email address.
Maximum string length:
255User's password.
Minimum string length:
8User's password confirmation. Must match the password field.
Minimum string length:
8User's phone number.
Maximum string length:
20User's title.
Maximum string length:
255User's emergency contact name.
Maximum string length:
255User's emergency contact surname.
Maximum string length:
255User's emergency contact phone number.
Maximum string length:
20User's blood group.
Maximum string length:
10User's avatar URL.
Maximum string length:
1000User's active status.
User's bio.
Maximum string length:
1000User's language preferences.
A language code (ISO 639-1).
Available options:
Turkish, English, Other Role identifiers to assign to user.
A role ID.
⌘I
Update a user
